Package org.zkoss.zk.ui.select.impl

## Enum Selector.Combinator

- java.lang.Object
- - java.lang.Enum<Selector.Combinator>
  - - org.zkoss.zk.ui.select.impl.Selector.Combinator

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Selector.Combinator>`
  Enclosing class:
    Selector

      public static enum Selector.Combinator
      extends java.lang.Enum<Selector.Combinator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADJACENT_SIBLING` |
    `CHILD` |
    `DESCENDANT` |
    `GENERAL_SIBLING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |
    `static Selector.Combinator` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Selector.Combinator[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESCENDANT

          public static final Selector.Combinator DESCENDANT

    - #### CHILD

          public static final Selector.Combinator CHILD

    - #### ADJACENT_SIBLING

          public static final Selector.Combinator ADJACENT_SIBLING

    - #### GENERAL_SIBLING

          public static final Selector.Combinator GENERAL_SIBLING

  - ### Method Detail

    - #### values

          public static Selector.Combinator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Selector.Combinator c : Selector.Combinator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Selector.Combinator valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Selector.Combinator>`